org.springframework.batch.core.jsr.step.builder

## Class JsrSimpleStepBuilder<I,O>

- java.lang.Object
- - org.springframework.batch.core.step.builder.StepBuilderHelper<AbstractTaskletStepBuilder<B>>
  - - org.springframework.batch.core.step.builder.AbstractTaskletStepBuilder<SimpleStepBuilder<I,O>>
    - - org.springframework.batch.core.step.builder.SimpleStepBuilder<I,O>
      - - org.springframework.batch.core.jsr.step.builder.JsrSimpleStepBuilder<I,O>

- Type Parameters:
    `I` - The input type for the step
    `O` - The output type for the step

      public class JsrSimpleStepBuilder<I,O>
      extends SimpleStepBuilder<I,O>

  A step builder that extends the `FaultTolerantStepBuilder` to create JSR-352 specific `ChunkProvider` and `ChunkProcessor` supporting the chunking pattern defined by the spec.
  Author:
    Michael Minella, Mahmoud Ben Hassine

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.springframework.batch.core.step.builder.StepBuilderHelper

      `StepBuilderHelper.CommonStepProperties`

  - ### Field Summary

    - ### Fields inherited from class org.springframework.batch.core.step.builder.AbstractTaskletStepBuilder

      `chunkListeners`

    - ### Fields inherited from class org.springframework.batch.core.step.builder.StepBuilderHelper

      `logger, properties`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsrSimpleStepBuilder(StepBuilder parent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TaskletStep` | `build()` Build the step from the components collected by the fluent setters.
    `protected Tasklet` | `createTasklet()`
    `JsrPartitionStepBuilder` | `partitioner(Step step)`
    `void` | `setBatchPropertyContext(BatchPropertyContext batchPropertyContext)`

    - ### Methods inherited from class org.springframework.batch.core.step.builder.SimpleStepBuilder

      `chunk, chunk, chunkOperations, createChunkOperations, faultTolerant, getChunkCompletionPolicy, getChunkSize, getItemListeners, getProcessor, getReader, getWriter, isReaderTransactionalQueue, listener, listener, listener, listener, processor, processor, reader, readerIsTransactionalQueue, registerAsStreamsAndListeners, registerStepListenerAsItemListener, writer`

    - ### Methods inherited from class org.springframework.batch.core.step.builder.AbstractTaskletStepBuilder

      `concurrent, exceptionHandler, getExceptionHandler, getStepOperations, getStreams, getTaskExecutor, getThrottleLimit, getTransactionAttribute, listener, registerStepListenerAsChunkListener, stepOperations, stream, taskExecutor, throttleLimit, transactionAttribute`

    - ### Methods inherited from class org.springframework.batch.core.step.builder.StepBuilderHelper

      `allowStartIfComplete, enhance, getJobRepository, getName, getTransactionManager, isAllowStartIfComplete, listener, repository, startLimit, transactionManager`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JsrSimpleStepBuilder

          public JsrSimpleStepBuilder(StepBuilder parent)

  - ### Method Detail

    - #### partitioner

          public JsrPartitionStepBuilder partitioner(Step step)

    - #### setBatchPropertyContext

          public void setBatchPropertyContext(BatchPropertyContext batchPropertyContext)

    - #### build

          public TaskletStep build()

      Build the step from the components collected by the fluent setters. Delegates first to `StepBuilderHelper.enhance(Step)` and then to `createTasklet()` in subclasses to create the actual tasklet.
      Overrides:
        `build` in class `SimpleStepBuilder<I,O>`
      Returns:
        a tasklet step fully configured and read to execute
      See Also:
        `AbstractTaskletStepBuilder.build()`

    - #### createTasklet

          protected Tasklet createTasklet()

      Overrides:
        `createTasklet` in class `SimpleStepBuilder<I,O>`